Bug 73812 - db3 in messages instead of db4
Summary: db3 in messages instead of db4
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-11 09:53 UTC by Gene Czarcinski
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-30 15:06:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2002-09-11 09:53:44 UTC
Description of Problem:

This is not a big deal but it does need to be fixed.

Some (all?) rpm messages which refer to the database specifically say "db3"
rather than "db4".

An example of this can be seen by attempting to install/update a package as a
REGULAR (non root) user:

error: cannot get exclusive lock on /var/lib/rpm/Packages
error: cannot open Packages index using db3 - Operation not permitted (1)
error: cannot open Packages database in /var/lib/rpm

Comment 1 Gene Czarcinski 2002-09-11 09:55:09 UTC
For all that matter, why does rpm need to mention "db3" at all ... why not
"database"?

Comment 2 Jeff Johnson 2002-11-01 14:32:28 UTC
The explicit "db3" is a remnant from the
elimination of db-1.85 usage. FWIW, "db3"
is perfectly accurate, even though db-4.1.17
is the current implementation internal to
rpm, as that's rpm's name for the type of
database used. Yes, confusing.

Simply punting to "database" in error messages will happen
eventually, but there is still content in the token "db3",
describing which of several possible database API's caused
the message to be printed.


Note You need to log in before you can comment on or make changes to this bug.